<?php
if (!defined('VFM_APP')) {
    return;
}
?>
<footer class="main-footer bg-white p-3 d-flex">
    <div class="small">
        <a href="<?php echo $setUp->getConfig('script_url'); ?>">
            <strong><?php echo $setUp->getConfig('appname'); ?></strong>
        </a> &copy; <?php echo date('Y'); ?>
    </div>
    <div class="ms-auto">
        <a href="https://filemanager.veno.it/" target="_blank" title="Current version" style="line-height: 1;">
            <small><?php echo VFM_VERSION; ?></small>
        </a>
    </div>
</footer>
<script type="text/javascript" src="assets/bootstrap/js/bootstrap.bundle.min.js?v=5.0.1"></script>

<?php
$debug_mode = $setUp->getConfig('debug_mode');

if ($debug_mode === true) :
    switch ($get_section) {
    case 'users':
        ?>
    <script type="text/javascript" src="assets/initial/initial.min.js?v=0.2.0"></script>
    <script type="text/javascript" src="assets/vfm/js/avatars.js?v=<?php echo VFM_VERSION; ?>"></script>
    <script type="text/javascript" src="assets/datatables/datatables.min.js?v=1.10.16"></script>
        <?php
        break;
    case 'appearance':
        ?>
    <script type="text/javascript" src="admin-panel/plugins/spectrum/spectrum.min.js"></script>
    <script type="text/javascript" src="admin-panel/plugins/easyeditor/jquery.easyeditor.min.js"></script>
        <?php
        break;
    case 'logs':
        ?>
    <script type="text/javascript" src="assets/datatables/datatables.min.js?v=1.10.16"></script>
    <script type="text/javascript" src="admin-panel/plugins/chartjs/chart.min.js?v=3.7.0"></script>
    <script type="text/javascript" src="admin-panel/plugins/datepicker/jquery-ui.min.js"></script>
    <script type="text/javascript" src="admin-panel/plugins/vfm/statistics.js"></script>
        <?php
        break;
    default: ?>
    <script type="text/javascript" src="admin-panel/plugins/tagin/tagin.min.js"></script>
        <?php
        break;
    }
    ?>
    <script type="text/javascript" src="admin-panel/js/admin.js"></script>
    <?php
    else :
        switch ($get_section) {
        case 'users':
            ?>
        <script type="text/javascript" src="admin-panel/js/users-bundle.min.js?v=<?php echo VFM_VERSION; ?>"></script>
            <?php
            break;
        case 'appearance': ?>
        <script type="text/javascript" src="admin-panel/js/appearance-bundle.min.js?v=<?php echo VFM_VERSION; ?>"></script>
            <?php
            break;
        case 'logs': ?>
        <script type="text/javascript" src="admin-panel/js/logs-bundle.min.js?v=<?php echo VFM_VERSION; ?>"></script>
            <?php
            break;
        default: ?>
        <script type="text/javascript" src="admin-panel/js/general-bundle.min.js?v=<?php echo VFM_VERSION; ?>"></script>
            <?php
            break;
        }
    endif;
